<?xml version="1.0" encoding="UTF-8"?>
<DEFECTS>
<OACRDEFECTCOUNT>6</OACRDEFECTCOUNT>
<OACRERRORCOUNT>0</OACRERRORCOUNT>
<DEFECT _seq="1"><SFA><LINE>84</LINE><COLUMN>26</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_common\wantools\libsangoma\sample_cpp\</FILEPATH></SFA><DEFECTCODE>28125</DEFECTCODE><DESCRIPTION>The function 'InitializeCriticalSection' must be called from within a try/except block:  The requirement might be conditional.</DESCRIPTION><FUNCTION>sangoma_interface::{ctor}</FUNCTION><FUNCLINE>36</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="2"><SFA><LINE>51</LINE><COLUMN>10</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_common\wantools\libsangoma\sample_cpp\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  _snprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_interface::{ctor}</FUNCTION><FUNCLINE>36</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="3"><SFA><LINE>1486</LINE><COLUMN>8</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_common\wantools\libsangoma\sample_cpp\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  strncpy is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_interface::sendCallerID</FUNCTION><FUNCLINE>1471</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="4"><SFA><LINE>1487</LINE><COLUMN>8</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_common\wantools\libsangoma\sample_cpp\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  strncpy is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_interface::sendCallerID</FUNCTION><FUNCLINE>1471</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="5"><SFA><LINE>1980</LINE><COLUMN>10</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_common\wantools\libsangoma\sample_cpp\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  _snprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_api_ctrl_dev::{ctor}</FUNCTION><FUNCLINE>1976</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="6"><SFA><LINE>2017</LINE><COLUMN>10</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_common\wantools\libsangoma\sample_cpp\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  _snprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_api_logger_dev::{ctor}</FUNCTION><FUNCLINE>2012</FUNCLINE><PATH/></DEFECT>
</DEFECTS>
